<?php
if ( ! function_exists( 'expedition_popular_trip' ) ) :
    /**
     * About Section
     *
     * @since Expedition 0.0.2
     *
     * @param null
     * @return null
     *
     */
    function expedition_popular_trip() {
        global $expedition_customizer_all_values;
        $expedition_popular_trip_title          = $expedition_customizer_all_values['expedition-home-popular-trip-main-title'];
        $expedition_popular_trip_sub_title      = $expedition_customizer_all_values['expedition-home-popular-trip-sub-title'];
        $expedition_popular_trip_button_text    = $expedition_customizer_all_values['expedition-home-popular-trip-button-text'];
        $expedition_popular_trip_number         = absint( $expedition_customizer_all_values['expedition-home-popular-trip-number'] );

        if(1 == $expedition_customizer_all_values['expedition-home-popular-trip-section-enable']) {
                $expedition_popular_trip_number = absint( $expedition_customizer_all_values['expedition-home-popular-trip-number'] );?>
                <!-- start of popular trip section -->
                <section class="wrapper wrap-poptrip overhidden">
                    <div class="container">
                        <div class="row">
                            <div class="column-md-12">
                                <header class="title-section evision-animate slideInDown" data-wow-delay="0s">
                                    <h3><?php echo esc_html(  $expedition_popular_trip_sub_title); ?></h3>
                                    <h2><?php echo esc_html(  $expedition_popular_trip_title); ?></h2>
                                    <span class="title-divider"></span>
                                </header>
                            </div>
                        </div>
                        <div class="row">
                            <?php
                            $expedition_popular_trip_category = $expedition_customizer_all_values['expedition-home-popular-trip-category'];
                                $expedition_popular_trip_args = array(
                                    'cat' => $expedition_popular_trip_category,
                                    'post_type' => 'post',
                                    'meta_key' => 'wpb_post_views_count', 
                                    'orderby' => 'meta_value_num', 
                                    'order' => 'DESC'
                                ); 
                                $expedition_popular_trip_post_query = new WP_Query($expedition_popular_trip_args);
                                if( $expedition_popular_trip_post_query -> have_posts() ) :
                                    while ( $expedition_popular_trip_post_query -> have_posts() ) :
                                        $expedition_popular_trip_post_query -> the_post();

                                        $thumb_image ='';
                                        $thumb_popular_image = '';
                                        if(has_post_thumbnail()){
                                            $thumb = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'expedition-costume-medium' );
                                            $thumb_image = $thumb['0'];
                                            
                                            $popular = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'expedition-costume-small' );
                                            $thumb_popular_image = $popular['0'];
                                        }else{
                                            $thumb_popular_image = get_template_directory_uri().'/assets/img/no-image.jpg';

                                        } ?>

                                        <div class="column-md-3 column-sd-12 column-xsd-12 overhidden">
                                            <div class="block-section small-post evision-animate slideInDown" data-wow-delay="0.5s">
                                                <div class="block-container clearblock">
                                                    <div class="thumb-overlay"></div>
                                                    <div class="thumb-holder">
                                                        <img src="<?php echo esc_url($thumb_popular_image)?>">
                                                    </div>
                                                    <div class="block-overlay-content">
                                                        <div class="vmiddle-holder">
                                                            <div class="vmiddle">
                                                                <h2 class="block-post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>

                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="block-overlay-content block-overlay-hover">
                                                        <div class="vmiddle-holder">
                                                            <div class="vmiddle">
                                                                <a class="line-btn" href="<?php the_permalink(); ?>" title="popular trip">
                                                                    <?php echo esc_html( $expedition_popular_trip_button_text );?>
                                                                </a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    <?php endwhile;
                                    wp_reset_postdata();
                                endif; ?>
                        </div>
                    </div>
                </section>
            <?php
        }
    }
endif;
add_action( 'homepage', 'expedition_popular_trip', 20 );