<?php 
if ( ! function_exists( 'expedition_featured_home_slider' ) ) :
    /**
     * Featured Slider
     *
     * @since expedition 0.0.2
     *
     * @param null
     * @return null
     *
     */
    function expedition_featured_home_slider() { 
        global $expedition_customizer_all_values;

        if( 1 != $expedition_customizer_all_values['expedition-feature-slider-enable'] ){
            return null;
        }
        
        global $expedition_customizer_all_values;
        $expedition_feature_slider_number           = absint( $expedition_customizer_all_values['expedition-featured-slider-number'] );
        $expedition_feature_slider_single_words     = absint( $expedition_customizer_all_values['expedition-fs-single-words'] );
        $expedition_feature_slider_mode             = $expedition_customizer_all_values['expedition-fs-slider-mode'];
        $expedition_feature_slider_time             = $expedition_customizer_all_values['expedition-fs-slider-time'];
        $expedition_feature_slider_pause_time       = $expedition_customizer_all_values['expedition-fs-slider-pause-time'];
        $expedition_feature_enable_arrow            = $expedition_customizer_all_values['expedition-fs-enable-arrow'];
        $expedition_feature_enable_pager            = $expedition_customizer_all_values['expedition-fs-enable-pager'];
        $expedition_feature_enable_autoplay         = $expedition_customizer_all_values['expedition-fs-enable-autoplay'];
        $expedition_feature_enable_title            = $expedition_customizer_all_values['expedition-fs-enable-title'];
        $expedition_feature_enable_caption          = $expedition_customizer_all_values['expedition-fs-enable-caption'];
        $expedition_feature_enable_search           = $expedition_customizer_all_values['expedition-search-enable'];
    ?>

    <section class="wrapper main-slider wrapper-slider">
        <?php if( 1 == $expedition_feature_enable_arrow){ ?>
            <div class="controls">
                <a href="#" class="slide-prev" id="slide-prev"><i class="fa fa-angle-left"></i></a> 
                <a href="#" class="slide-next" id="slide-next"><i class="fa fa-angle-right"></i></a>
            </div>
        <?php }  ?>

        <div class="container-full">
            <div class="cycle-slideshow"
            data-cycle-fx=<?php echo esc_attr( $expedition_feature_slider_mode);?>
            data-cycle-speed="<?php echo (esc_attr( $expedition_feature_slider_time) * 1000)?>"
            data-cycle-carousel-fluid=true
            data-cycle-carousel-visible=1
            data-cycle-pause-on-hover="true"
            data-cycle-slides="> div"
            data-cycle-prev="#slide-prev"
            data-cycle-next="#slide-next"
            data-cycle-auto-height=container
            data-cycle-swipe=true
            data-cycle-swipe-fx=scrollHorz
            <?php if( 1 == $expedition_feature_enable_pager){ ?>
                data-cycle-pager="#slide-pager"
            <?php }  ?>
            <?php if( 1 != $expedition_feature_enable_autoplay){ ?>
                data-cycle-timeout=0
            <?php }  ?>
            <?php if(1 == $expedition_feature_enable_autoplay){ ?>
                data-cycle-timeout=<?php echo (esc_attr( $expedition_feature_slider_pause_time) * 1000)?>
            <?php }  ?>
            >

            <?php 
             $expedition_feature_slider_category = $expedition_customizer_all_values['expedition-featured-slider-category'];
                    $expedition_feature_slider_args =  array(
                        'post_type'             => 'post',
                        'cat'                   => $expedition_feature_slider_category,
                        'posts_per_page'        => $expedition_feature_slider_number,
                        'ignore_sticky_posts'   => true,
                    );
                $fetaure_slider_defualy_qyuery =  new WP_Query( $expedition_feature_slider_args );

                if( $fetaure_slider_defualy_qyuery -> have_posts() ) :
                    while( $fetaure_slider_defualy_qyuery -> have_posts()  ) :
                        $fetaure_slider_defualy_qyuery -> the_post();
                        $url ='';
                        if(has_post_thumbnail()){
                            $thumb = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'expedition-main-banner' );
                            $url = $thumb['0'];
                        } ?>
                        <div class="slide-item">
                            <div class="container-full" style="background-image: url('<?php echo esc_url( $url )?>');">
                                <div class="thumb-overlay"></div>
                                <div class="row">
                                    <div class="column-xsd-10 column-sd-10 column-md-6 column-xsd-offset-1 column-sd-offset-1 column-md-offset-3 banner-content">
                                    <?php if ((1 == $expedition_feature_enable_title) || (1 == $expedition_feature_enable_caption)){?>
                                        <div class="banner-content-holder">
                                            <div class="banner-content-inner">
                                                <?php if( 1 == $expedition_feature_enable_title) {
                                                    ?>
                                                        <h2 class="slider-title">
                                                            <a href="<?php the_permalink(); ?>">
                                                                <?php  the_title(); ?>
                                                            </a>
                                                        </h2>
                                                    <?php
                                                }
                                                if( 1 == $expedition_feature_enable_caption){
                                                    ?>
                                                     <?php 
                                                    if ( has_excerpt() ) {
                                                        the_excerpt();
                                                    } else {
                                                        $content_blog = get_the_content();  
                                                    }
                                                    ?>
                                                    <div class="text-content">
                                                        <?php echo expedition_words_count( $expedition_feature_slider_single_words, $content_blog ); ?>
                                                    </div>
                                                    <?php
                                                }?>      
                                            </div>
                                        </div>
                                    <?php } ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php endwhile;   
                    wp_reset_postdata();
                endif; ?>
            </div>
        </div>
        <div class="cycle-pager slide-pager" id="slide-pager"></div>
    </section>
    <?php
        }
endif;
add_action( 'homepage_slider', 'expedition_featured_home_slider', 10 );